Bug 727357 - Fedora 15 - livecd-creator - mandb path not set For Live Spin
Fedora 15 - livecd-creator - mandb path not set For Live Spin
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: spin-kickstarts (Show other bugs)
15
All All
unspecified Severity unspecified
: ---
: ---
Assigned To: Jeroen van Meeuwen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-08-01 18:22 EDT by ^mp3axe^
Modified: 2012-08-06 16:01 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description ^mp3axe^ 2011-08-01 18:22:00 EDT
Description of problem:
When attempting to create a new spin of fedora-livecd-desktop.ks, the error that the mount point has already been defined.

Version-Release number of selected component (if applicable):
spin-kickstarts-0.15.6-1.fc15.noarch
livecd-tools-15.7-1.fc15.x86_64

How reproducible:
Always

Steps to Reproduce:
1.  Install fresh F15 
2. Update to latest packages
3. start livecd-creator to create a spin using /usr/share/spin-kickstarts/livecd-fedora-desktop.ks
  
Actual results:
No Error Messages

Expected results:
/usr/bin/mandb: warning: $PATH not set
Processing manual pages under /usr/share/man...
Updating index cache for path `/usr/share/man/man7'. Wait....
gzip: stdout: Broken pipe

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe
Updating index cache for path `/usr/share/man/man4'. Wait....
gzip: stdout: Broken pipe
Updating index cache for path `/usr/share/man/mann'. Wait....
gzip: stdout: Broken pipe

gzip: stdout: Broken pipe
Updating index cache for path `/usr/share/man/man5'. Wait...
gzip: stdout: Broken pipe

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe
Updating index cache for path `/usr/share/man/man3'. Wait....
gzip: stdout: Broken pipe

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe
/usr/bin/mandb: can't open /usr/share/man/sd_is_fifo.3: No such file or directory

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe
/usr/bin/mandb: can't open /usr/share/man/sd_notify.3: No such file or directory

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe
/usr/bin/mandb: can't open /usr/share/man/sd_is_fifo.3: No such file or directory

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe
/usr/bin/mandb: can't open /usr/share/man/sd_is_fifo.3: No such file or directory

gzip: stdout: Broken pipe
Updating index cache for path `/usr/share/man/man8'. Wait....
gzip: stdout: Broken pipe
/usr/bin/mandb: can't open /usr/share/man/halt.8: No such file or directory

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe
/usr/bin/mandb: can't open /usr/share/man/halt.8: No such file or directory

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe
Updating index cache for path `/usr/share/man/man1'. Wait...
gzip: stdout: Broken pipe

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe
/usr/bin/mandb: can't open /usr/share/man/systemd.1: No such file or directory

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe

gzip: stdout: Broken pipe
Updating index cache for path `/usr/share/man/man0p'. Wait...done.


Additional info:
Comment 1 ^mp3axe^ 2011-08-01 18:34:40 EDT
Sorry The Actual Results and Expected Result messages are switched from the original bug post.
Comment 2 Brian Lane 2011-08-11 17:57:55 EDT
This is because most of the spin kickstarts don't install man pages, yet they call mandb from the %post
Comment 3 Kevin Fenzi 2011-08-12 15:16:01 EDT
Well, does it cause any actual problem? 

If we did a >& /dev/null on it would that solve the cosmetic issue of the logs? 
Or should we look at running it in a conditional only when man pages are installed?
Comment 4 Fedora End Of Life 2012-08-06 16:00:23 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 15. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 15 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Fedora End Of Life 2012-08-06 16:01:09 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 15. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 15 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.